package com.galaxis.manatee.manager;

import com.galaxis.capsule.dto.ChuanyunProjectDTO;
import com.galaxis.capsule.dto.PageDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/8 4:22 下午
 */
@FeignClient(name = "claw",url = "http://localhost:8081")
public interface ClawFeign {
    /**
     * 测试
     * @param map   查询参数
     * @return  请求结果
     */
    @GetMapping("/chuanyunProject/findAllByParameters")
    PageDTO<ChuanyunProjectDTO> findChuanyunProjectPageable(@RequestParam Map<String,String> map);

    /**
     * 测试
     * @param chuanyunProjectDTO    保存DTO数据
     * @return  请求结果
     */
    @GetMapping("/chuanyunProject/save")
    ResponseEntity<ChuanyunProjectDTO> saveChuanyunProject(@RequestBody ChuanyunProjectDTO chuanyunProjectDTO);


}
